package com.miaxis.icon.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 题目图标对象 icon_category
 *
 * @author miaxis
 * @date 2022-08-02
 */
@Data
@TableName("icon_category")
@ApiModel(value = "IconCategory", description = "题目图标对象 icon_category")
public class IconCategory extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId(value = "id")
    @ApiModelProperty(value = "ID")
    private Long id;

    /** 内容 */
    @Excel(name = "内容")
    @TableField("category")
    @ApiModelProperty(value = "内容")
    private String category;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setCategory(String category){
        this.category = category;
    }

    public String getCategory(){
        return category;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("category", getCategory())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
